#!/bin/bash
# Parameter expansions
# It's better to use them instead of echo, cat, cut, grep, sed, tr, ...
# of course only for parameters

# VAR will be the first parameter or default value
# This will WORK with special characters like *$(){}...

VAR=${1:-"Most_probably_some_file_name.suffix"}

case ${VAR} in
  *.suffix) printf "File with suffix '.suffix'\n";;&
  Most*)    printf "File starting with 'Most'\n";;&
  *ch*)     printf "File with 'ch' inside\n";;&
  *a*b*c*)  printf "File with 'a' and 'b' and 'c'\n";;&
  *a* | *b* | *c*) printf "File with 'a' or 'b' or 'c'\n";;
  *)        printf "Every other file\n";;
esac

printf "___\n"

for VAR in *; do
  printf "%s is: " "$VAR"
  case ${VAR} in
    *.bash) printf "bash script\n";;
    *.txt)  printf "text file\n";;
    *\ *)   printf "file with spaces\n";;
    *)      printf "unknown\n";;
  esac
done

